Subject: [Sip] RFC3261 about Timer J of non-INVITE server transaction

From: "raingy.JIN" <[email-masked]>
Date: Mon, 5 Jun 2006 15:33:48 +0800

Hi~
I have a question about Timer J of non-INVITE server transaction.
I think the Timer J should be set at Trying state NOT Completed state.
Because TU may cost a long time to process the Request.
=======================================================
// (RFC 3261; page 137-140)
                                  |Request received
                                  |pass to TU
                                  V
                            +-----------+
                            |           |
                            | Trying    |-------------+
                            |           |             |
                            +-----------+             |200-699 from TU
                                  |                   |send response
                                  |1xx from TU        |
                                  |send response      |
                                  |                   |
               Request            V      1xx from TU  |
               send response+-----------+send response|
                   +--------|           |--------+    |
                   |        | Proceeding|        |    |
                   +------->|           |<-------+    |
            +<--------------|           |             |
            |Trnsprt Err    +-----------+             |
            |Inform TU            |                   |
            |                     |                   |
            |                     |200-699 from TU    |
            |                     |send response      |
            |  Request            V                   |
            |  send response+-----------+             |
            |      +--------|           |             |
            |      |        | Completed |<------------+
            |      +------->|           |
            +<--------------|           |
            |Trnsprt Err    +-----------+
            |Inform TU            |
            |                     |Timer J fires
            |                     |-
            |                     |
            |                     V
            |               +-----------+
            |               |           |
            +-------------->| Terminated|
                            |           |
                            +-----------+

                Figure 8: non-INVITE server transaction
==========================================================
// I think it should be modified to:
                                  |Request received
                                  |pass to TU
                                  V set Timer F
             Timer F fires  +-----------+
            +<--------------|           |
            |               | Trying    |-------------+
            |               |           |             |
            |               +-----------+             |200-699 from TU
            |                     |                   |send response
            |                     |1xx from TU        |
            |                     |send response      |
            |                     |                   |
            |  Request            V      1xx from TU  |
            |  send response+-----------+send response|
            |      +--------|           |--------+    |
            |      |        | Proceeding|        |    |
            |      +------->|           |<-------+    |
            +<--------------|           |             |
            |Timer F fires  +-----------+             |
            |or                   |                   |
            |Trnsprt Err          |                   |
            |Inform TU            |200-699 from TU    |
            |                     |send response      |
            |  Request            V                   |
            |  send response+-----------+             |
            |      +--------|           |             |
            |      |        | Completed |<------------+
            |      +------->|           | 
            +<--------------|           |
            |Timer F fires  +-----------+
            |or                   |
            |Trnsprt Err          |
            |Inform TU            |(Cancel Timer F for non-UDP)
            |                     |
            |                     V
            |               +-----------+
            |               |           |
            +-------------->| Terminated|
                            |           |
                            +-----------+
==============================================

Is that right?
Thanks,
raingy

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip